var n = require("../../common/vendor.js"),
  e = require("../../utils/navigate.js"),
  o = require("../../enums/index.js");
Array ||
  (n.resolveComponent("uni-countdown") + n.resolveComponent("uni-popup"))(),
  Math ||
    (
      function () {
        return "../../uni_modules/uni-countdown/components/uni-countdown/uni-countdown.js";
      } +
      function () {
        return "../../uni_modules/uni-popup/components/uni-popup/uni-popup.js";
      }
    )();
var t = {
    __name: "index",
    props: { visible: { type: Boolean, default: !1 } },
    emits: ["close"],
    setup: function (t, r) {
      var u = r.emit,
        i = t,
        c = n.ref(null);
      n.watch(
        function () {
          return i.visible;
        },
        function () {
          i.visible ? c.value.open() : c.value.close();
        }
      );
      var s = function (n) {
          n.show || u("close");
        },
        p = function () {
          u("close");
          var e = n.index.getStorageSync("fisrtIn");
          e ? e++ : (e = 1), n.index.setStorageSync("fisrtIn", e);
        },
        a = function () {
          u("close"),
            e.navigateTo({
              url: "/pages/report-query/index",
              params: {
                title: "综合车况",
                productType: o.ProductTypeEnum.OVERALL,
                queryType: o.QueryTypeEnum.VIN,
              },
            });
          var t = n.index.getStorageSync("fisrtIn");
          t ? t++ : (t = 1), n.index.setStorageSync("fisrtIn", t);
        };
      return function (e, o) {
        return {
          a: n.p({
            minute: 10,
            "font-size": 30,
            color: "#ffffff",
            "splitor-color": "#910F0E",
            "background-color": "#F11220",
          }),
          b: n.o(a),
          c: n.o(p),
          d: n.sr(c, "68f7b9c0-0", { k: "popup" }),
          e: n.o(s),
          f: n.p({ type: "center", animation: !0, "is-mask-click": !1 }),
        };
      };
    },
  },
  r = n._export_sfc(t, [["__scopeId", "data-v-68f7b9c0"]]);
wx.createComponent(r);
